// 
//==============================================
// ETK(Embedded Training Kit) - AT91SAM7SE512
//==============================================
//
// File name : app_cfg.h
// Project name : ETK-uCOSii
// Description : Generic ARM Port
// By : Roh, YoungSup(ysroh@suv.ac.kr)
//      Dept. of Embedded Systems. 
//      SUV ( Seoul University of Venture and Information )
// Date : 2007.12.14
// Modifications :
//   1. OS_PROBE ִ app_cfg.h  Ͽ.
//   2.  Toolchain : IAR EWARM ==> GNU
//   3. Probe  ڵ 
//
//===============================================
//


/*
*********************************************************************************************************
*
*                                             EXAMPLE CODE
*
*                          (c) Copyright 2003-2006; Micrium, Inc.; Weston, FL
*
*               All rights reserved.  Protected by international copyright laws.
*
*               Knowledge of the source code may NOT be used to develop a similar product.
*
*               Please help us continue to provide the Embedded community with the finest
*               software available.  Your honesty is greatly appreciated.
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*
*                                      APPLICATION CONFIGURATION
*
*                                            AT91SAM7SE512
*
* Filename      : app_cfg.h
* Version       : V1.00
* Programmer(s) : BAN
*********************************************************************************************************
*/

#ifndef __APP_CFG_H__
#define __APP_CFG_H__
/*
*********************************************************************************************************
*                                     ADDITIONAL uC/MODULE ENABLES
*********************************************************************************************************
*/

// cc roh
//#define  uC_PROBE_OS_PLUGIN              DEF_ENABLED            /* DEF_ENABLED = Present, DEF_DISABLED = Not Present        */
//#define  uC_PROBE_COM_MODULE             DEF_ENABLED
#define  uC_PROBE_OS_PLUGIN              DEF_DISABLED            /* DEF_ENABLED = Present, DEF_DISABLED = Not Present        */
#define  uC_PROBE_COM_MODULE             DEF_DISABLED

#define  OS_VIEW_MODULE                  DEF_DISABLED

/*
*********************************************************************************************************
*                                            TASK PRIORITIES
*********************************************************************************************************
*/

#define  APP_TASK_KBD_PRIO                     4
#define  APP_TASK_START_PRIO                   5

// ++ roh
#define  APP_TASK_TST1_PRIO                    7
#define  APP_TASK_TST2_PRIO                    8

#define  OS_TASK_TMR_PRIO             (OS_LOWEST_PRIO - 2)

/*
*********************************************************************************************************
*                                            TASK STACK SIZES
*                            Size of the task stacks (# of OS_STK entries)
*********************************************************************************************************
*/

// ++ roh
#define  APP_TASK_TST1_STK_SIZE              128
#define  APP_TASK_TST2_STK_SIZE              128

#define  APP_TASK_START_STK_SIZE             128
#define  APP_TASK_KBD_STK_SIZE               128

/*
*********************************************************************************************************
*                                      uC/OS-II DCC CONFIGURATION
*********************************************************************************************************
*/

#define  OS_CPU_ARM_DCC_EN                     0

/*
*********************************************************************************************************
*                                     TRACE / DEBUG CONFIGURATION
*********************************************************************************************************
*/

#define  TRACE_LEVEL_OFF                       0
#define  TRACE_LEVEL_INFO                      1
#define  TRACE_LEVEL_DEBUG                     2

#define  APP_TRACE_LEVEL                TRACE_LEVEL_OFF
#define  APP_TRACE

#define  APP_TRACE_INFO(x)            ((APP_TRACE_LEVEL >= TRACE_LEVEL_INFO)  ? (void)(APP_TRACE x) : (void)0)
#define  APP_TRACE_DEBUG(x)           ((APP_TRACE_LEVEL >= TRACE_LEVEL_DEBUG) ? (void)(APP_TRACE x) : (void)0)

#endif

