// 
//==============================================
// ETK(Embedded Training Kit) - AT91SAM7SE512
//==============================================
//
// File name : bsp.h
// Project name : ETK-uCOSii
// Description : Board Suport Package for AT91SAM7SE512-EK, not ETK board.
// By : Roh, YoungSup(ysroh@suv.ac.kr)
//      Dept. of Embedded Systems. 
//      SUV ( Seoul University of Venture and Information )
// Date : 2007.12.14
// Modifications :
//     1. OS_PROBE ִ app.c  Ͽ.
//     2. Probe شǴ  ڵ .
//     3. Joystick شǴ  ڵ .
//     4. PushButton  ڵ 
//     5. PLL_Init() local global .
//         cstartup.S 
//     6. GPIOA_LED_POWER GPIOA_LED0 
//     7. ETK_Init() ȣ
//
//===============================================
//

/*
*********************************************************************************************************
*                                     MICIRUM BOARD SUPPORT PACKAGE
*
*                          (c) Copyright 2003-2006; Micrium, Inc.; Weston, FL
*
*                   All rights reserved.  Protected by international copyright laws.
*                   Knowledge of the source code may not be used to write a similar
*                   product.  This file may only be used in accordance with a license
*                   and should not be redistributed in any way.
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*
*                                         BOARD SUPPORT PACKAGE
*
*                                           Atmel AT91SAM7SE
*                                                on the
*                                     AT91SAM7SE-EK Evaluation Board
*
* Filename      : bsp.c
* Version       : V1.00
* Programmer(s) : BAN
*********************************************************************************************************
*/

#ifndef  __BSP_H__
#define  __BSP_H__

/*
*********************************************************************************************************
*                                               EXTERNS
*********************************************************************************************************
*/

#ifdef   BSP_GLOBALS
#define  BSP_EXT
#else
#define  BSP_EXT  extern
#endif


/*
*********************************************************************************************************
*                                             INCLUDE FILES
*********************************************************************************************************
*/


/*
*********************************************************************************************************
*                                               DEFINES
*********************************************************************************************************
*/

#define  MAIN_XTAL_FREQ               18432000                  /* Onboard crystal frequency (khz)                          */
#define  SLOW_XTAL_FREQ                  32768

/*
*********************************************************************************************************
*                                          GLOBAL VARIABLES
*********************************************************************************************************
*/


/*
*********************************************************************************************************
*                                               MACRO'S
*********************************************************************************************************
*/


/*
*********************************************************************************************************
*                                         FUNCTION PROTOTYPES
*********************************************************************************************************
*/

void         BSP_Init           (void);
void         BSP_IntDisAll      (void);
CPU_INT32U   BSP_CPU_ClkFreq    (void);

// ++ roh
void         PLL_Init           (void);

/*
*********************************************************************************************************
*                                             LED SERVICES
*********************************************************************************************************
*/
void		 LED_Init			(void);
void         LED_On             (CPU_INT08U  led);
void         LED_Off            (CPU_INT08U  led);
void         LED_Toggle         (CPU_INT08U  led);

/*
*********************************************************************************************************
*                                             uC/OS-II SERVICES
*********************************************************************************************************
*/

void  Tmr_TickISR_Handler(void);

/*
*********************************************************************************************************
*                                             RS-232 SERVICES
*********************************************************************************************************
*/

void         Ser_Init            (void);
void         Ser_WrByte          (CPU_CHAR   tx_byte);
void         Ser_WrStr           (CPU_CHAR  *tx_str);
CPU_INT08U   Ser_RdByte          (void);
void         Ser_RdStr           (CPU_CHAR  *rx_str, CPU_INT32U len);
void         Ser_Printf          (CPU_CHAR  *format, ...);


/*
*********************************************************************************************************
*                                             ETK Initializes
*********************************************************************************************************
*/

// ++ roh
void         ETK_Init             (void);


#endif
